# gis_webapp_project_uwsgi.ini file
[uwsgi]

# Django-related settings
# the base directory (full path)
chdir               = {{ webapp_directory_full_path }}/
# Django's wsgi file
module              = {{ webapp_project_name }}.wsgi:application
# the virtualenv (full path)
home                = {{ webapp_root_directory_full_path }}/.venv/
#
env                 = DJANGO_SETTINGS_MODULE={{ webapp_project_name }}.settings

# process-related settings
# master
master              = true
#
strict              = true
#
single-interpreter  = true
# maximum number of worker processes
processes           = 1
#
threads             = 1
#
die-on-term         = true
#
need-app            = true
# the socket (use the full path to be safe)
socket              = {{ webapp_socket }}
# ... with appropriate permissions - may be needed
chmod-socket        = 664
# clear environment on exit
vacuum              = true
#
enable-threads      = true
#
pidfile             = {{ webapp_pid }}
#
logto               = {{ webapp_log }}
#
uid                 = {{ webapp_owner }}
#
gid                 = {{ webapp_group }}
